%define name    kvpnc
%define version 0.8.8
%define rel     1
%define release %mkrel %rel
%define Summary KDE frontend to various vpn clients

%define unstable 1
%define use_enable_final 1

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}

License: 		GPL
Group: 			Graphical desktop/KDE
Source: 		http://download.gna.org/kvpnc/kvpnc-%{version}.tar.bz2
URL: 			http://home.gna.org/kvpnc/

BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	kdelibs-devel
BuildRequires:  libgcrypt-devel
Requires: 		usermode-consoleonly
Requires: 		kvpnc-backend


%description
KVpnc is a KDE frontend for for various vpn clients.
It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
Vpnc is a replacement for the cisco VPN client and its used 
as client for the cisco3000 VPN Concentrator, FreeS/WAN (OpenS/WAN) 
is a IPSec client for Linux 2.4.x and racoon is a IPSec client 
for Linux 2.6.x and *BSD.

%prep
%setup -q -n kvpnc-%{version}

%build

%configure --disable-rpath \
%if %use_enable_final
			--enable-final \
%else		
			--disable-final \
%endif
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
%if %unstable
					--enable-debug=full 
%else
					--disable-debug 
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall

# Menu

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Internet/Remote Access" $RPM_BUILD_ROOT%{_datadir}/applnk/kvpnc.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

#install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
#install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
#install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

#mkdir -p $RPM_BUILD_ROOT%{_sbindir}
#mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}

# Stolen from guarddog spec
### consolehelper entry
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
#ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}
#cat > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/%{name} <<EOF
#USER=root
#PROGRAM=%{_sbindir}/%{name}
#SESSION=true
#FALLBACK=true
#EOF

### pam entry
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name} <<EOF
auth       sufficient   pam_rootok.so
auth       include	system-auth
session    optional     pam_xauth.so
account    required     pam_permit.so
EOF

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
#%{_sbindir}/%{name}
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_datadir}/applnk/kvpnc.desktop

%dir %{_datadir}/apps/kvpnc/
%{_datadir}/apps/kvpnc/eventsrc
%{_datadir}/apps/kvpnc/kvpncui.rc
%{_datadir}/apps/kvpnc/ping_check.sh

%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/apps/kvpnc/icons/*/*/actions/*.png
%{_datadir}/apps/kvpnc/icons/*/*/apps/*.png
%{_datadir}/apps/kvpnc/newprofilewizard.png
#%{_miconsdir}/%{name}.png
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
#%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%doc %_docdir/HTML/*/%{name}/*
%doc %_docdir/HTML/%{name}/*.txt
%doc %_docdir/HTML/kvpnc/update_handbook.sh
%doc %_docdir/HTML/kvpnc/README.handbook
%doc %_docdir/HTML/kvpnc/README.smartcard

%_datadir/apps/kvpnc/ovpn.protocol
%_datadir/apps/kvpnc/pcf.protocol


%changelog
* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 0.8.8-1mdv2007.0
+ Revision: 120750
- 0.8.8

* Wed Dec 13 2006 Laurent Montel <lmontel@mandriva.com> 0.8.7-1mdv2007.1
+ Revision: 96178
- 0.8.7

  + Lenny Cartier <lenny@mandriva.com>
    - Import kvpnc




* Mon Sep 25 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.6-1
- New version

* Sun Jul 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5.1-3mdv2007.0
- Fix for new PAM

* Sun Jun 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5.1-2mdv2007.0
- Rebuild to regenerate menu

* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.5.1-1
- 0.8.5.1

* Thu May 18 2006 Lenny Cartier <lenny@mandriva.com> 0.8.5-1mdk
- 0.8.5

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.4-4mdk
- Remove redundant BuildRequires

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.4-3mdk
- Fix BuildRequires

* Mon May 08 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.4-2
- Rebuild to generate category

* Tue Apr 11 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.4-1
- 0.8.4

* Sun Mar 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.3-1mdk
- New release 0.8.3

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.8.2.1-2mdk
- fix x86_64 build

* Tue Dec 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.2.1-1
- 0.8.2.1

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-2mdk
- Fix BuildRequires

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-1mdk
- New release 0.8.2
- Drop patch 2 : Merged Upstream

* Mon Oct 10 2005 Daouda LO <daouda@mandriva.com> 0.8-2mdk
- fix crash on startup

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-1mdk
- New release 0.8
- fix file section

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-2
- REbuild

* Wed Jul 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1
- 0.7.2

* Thu Jun 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-1
- 0.7

* Mon Jun 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-0.rc1.1
- 0.7rc1

* Mon Apr 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix build for amd64

* Fri Apr 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Reupload

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-4mdk
- Add patch2: fix crash in configure settings

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-3mdk
- Fix spec file
- Add debug flag
- Add enable-final flag
- Fix pam entry
- Now necessary consolehelper stuff which broke all kvpnc

* Sun Dec 26 2004 Couriousous <couriousous@mandrake.org> 0.5-2mdk
- Add consolehelper stuff as kvpnc requires to run as root
- Add Requires kvpnc-backend
  Thank misc for all the explications

* Sun Dec 26 2004 Couriousous <couriousous@mandrake.org> 0.5-1mdk
- 0.5
- Remove vpnc require
- Update description
- Fix menu entry

* Tue Jun 29 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.3-1mdk
- First Mandrake release
